﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Silanis.ESL.SDK;
using Silanis.ESL.SDK.Builder;
using System.Diagnostics;
using System.Net.Http;
using System.Net.Http.Headers;
using Newtonsoft.Json.Linq;

namespace messages
{
    class Class1
    {
        private static string key = "api_key";
        private static string url = "https://sandbox.esignlive.com/api";

        public static void Main()
        {
            HttpClient myClient = new HttpClient();
            myClient.DefaultRequestHeaders.Authorization = new AuthenticationHeaderValue("Basic", key);
            myClient.DefaultRequestHeaders.Add("Accept", "application/json");

            var response = myClient.GetAsync(new Uri(url + "/packages/VMvbq5C0BIQaxCtG_8LlppDdj08=")).Result;
            JObject package = JObject.Parse(response.Content.ReadAsStringAsync().Result);

            Debug.WriteLine(package["status"] + " reason: " + package["messages"][0]["content"]);
        }
    }
}
